% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ge_mean.R
\name{ge_mean}
\alias{ge_mean}
\alias{ge_mean.default}
\title{Genotype by Environment Interaction Means}
\usage{
\method{ge_mean}{default}(.data, .y, .gen, .env)
}
\arguments{
\item{.data}{data.frame}

\item{.y}{Response Variable}

\item{.gen}{Genotypes Factor}

\item{.env}{Environment Factor}
}
\value{
Genotype by Environment Interaction Means
}
\description{
Calcuates Genotype by Environment Interaction Means
}
\examples{

data(Maiz)
ge_mean(
    .data  = Maiz
   , .y    = y
   , .gen  = entry
   , .env  = site
   )


}
\references{
Crossa, J., Perez-Elizalde, S., Jarquin, D., Cotes, J.M., Viele, K., Liu, G., and Cornelius, P.L. (2011)
 Bayesian Estimation of the Additive Main Effects and Multiplicative Interaction Model
 \emph{Crop Science}, \strong{51}, 1458–1469.
 (\href{https://acsess.onlinelibrary.wiley.com/doi/abs/10.2135/cropsci2010.06.0343}{doi: 10.2135/cropsci2010.06.0343})
}
\author{
\enumerate{
    \item Muhammad Yaseen (\email{myaseen208@gmail.com})
   }
}
